petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatISRestoreLocalMat

Restores the local matrix obtained with MatISGetLocalMat()

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatISRestoreLocalMat(Mat mat,Mat *local)

### Input Parameter

mat -the matrix

### Output Parameter

local -the local matrix

### See Also

MATIS

### Level

advanced

### Location

src/mat/impls/is/matis.c

### Examples

src/ksp/ksp/examples/tutorials/ex71.c.html

### Implementations

MatISRestoreLocalMat_IS in src/mat/impls/is/matis.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages